---
search:
  tags:
    - Logs
    - GET
seo:
  description: >-
    Retrieves all historical logs associated with a specific… Reference for the
    GET /api/v1/{team_slug}/{app_slug}/logs/{item_id} endpoint in the Management
    API.
sidebar:
  label: Get Item Logs
  badge: GET
title: Get Item Logs
type: openapi-operation
---
Retrieves all historical logs associated with a specific item, including log level, message, and timestamp

`GET /api/v1/{team_slug}/{app_slug}/logs/{item_id}`

**Responses**

- `200` — List of logs for the item
- `400` — Invalid request (e.g., bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "id": "string",
      "level": "string",
      "logged_at": "string",
      "message": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
